## com.imcode.imcms.dao
Class TextDao

    java.lang.Object
      org.springframework.orm.hibernate3.HibernateAccessor
          org.springframework.orm.hibernate3.HibernateTemplate
              com.imcode.imcms.dao.TextDao

All Implemented Interfaces:
  org.springframework.beans.factory.BeanFactoryAware, org.springframework.beans.factory.InitializingBean, org.springframework.orm.hibernate3.HibernateOperations

    public class TextDao

extends org.springframework.orm.hibernate3.HibernateTemplate

Field Summary

Fields inherited from class org.springframework.orm.hibernate3.HibernateAccessor
`FLUSH_ALWAYS, FLUSH_AUTO, FLUSH_COMMIT, FLUSH_EAGER, FLUSH_NEVER, logger`

Constructor Summary
`TextDao()`

Method Summary
`java.util.Collection<TextDomainObject>` `getTexts(java.lang.Integer documentId, java.lang.Integer documentVersion)` Returns all texts for given document id and version.
`java.util.List<TextDomainObject>` `getTexts(java.lang.Integer documentId, java.lang.Integer index, I18nLanguage language, java.util.Collection<DocumentVersion> versions)` Returns all texts for given document id, text index, text language and versions.
`TextDomainObject` `saveText(TextDomainObject text)` Inserts or updates text.
`void` `saveTextHistory(java.lang.Integer documentId, TextDomainObject text, UserDomainObject user)` Saves text history.
`void` `updateTexts(java.util.Collection<TextDomainObject> texts)` Updates texts.

Methods inherited from class org.springframework.orm.hibernate3.HibernateTemplate

`applyNamedParameterToQuery, bulkUpdate, bulkUpdate, bulkUpdate, checkWriteOperationAllowed, clear, closeIterator, contains, createSessionProxy, delete, delete, delete, delete, deleteAll, doExecute, enableFilter, evict, execute, execute, executeFind, executeWithNativeSession, executeWithNewSession, find, find, find, findByCriteria, findByCriteria, findByExample, findByExample, findByExample, findByExample, findByNamedParam, findByNamedParam, findByNamedQuery, findByNamedQuery, findByNamedQuery, findByNamedQueryAndNamedParam, findByNamedQueryAndNamedParam, findByNamedQueryAndValueBean, findByValueBean, flush, get, get, get, get, getFetchSize, getMaxResults, getQueryCacheRegion, getSession, initialize, isAllowCreate, isAlwaysUseNewSession, isCacheQueries, isCheckWriteOperations, isExposeNativeSession, iterate, iterate, iterate, load, load, load, load, load, loadAll, lock, lock, merge, merge, persist, persist, prepareCriteria, prepareQuery, refresh, refresh, replicate, replicate, save, save, saveOrUpdate, saveOrUpdate, saveOrUpdateAll, setAllowCreate, setAlwaysUseNewSession, setCacheQueries, setCheckWriteOperations, setExposeNativeSession, setFetchSize, setMaxResults, setQueryCacheRegion, update, update, update, update`

Methods inherited from class org.springframework.orm.hibernate3.HibernateAccessor

`afterPropertiesSet, applyFlushMode, convertHibernateAccessException, convertJdbcAccessException, convertJdbcAccessException, disableFilters, enableFilters, flushIfNecessary, getDefaultJdbcExceptionTranslator, getEntityInterceptor, getFilterNames, getFlushMode, getJdbcExceptionTranslator, getSessionFactory, setBeanFactory, setEntityInterceptor, setEntityInterceptorBeanName, setFilterName, setFilterNames, setFlushMode, setFlushModeName, setJdbcExceptionTranslator, setSessionFactory`

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Constructor Detail

### TextDao

    public TextDao()

Method Detail

### saveText

    @Transactional
    public TextDomainObject saveText(TextDomainObject text)

  Inserts or updates text.

### updateTexts

    @Transactional
    public void updateTexts(java.util.Collection<TextDomainObject> texts)

  Updates texts.

### getTexts

    @Transactional
    public java.util.Collection<TextDomainObject> getTexts(java.lang.Integer documentId,
                                                                         java.lang.Integer documentVersion)

  Returns all texts for given document id and version.

### saveTextHistory

    @Transactional
    public void saveTextHistory(java.lang.Integer documentId,
                                              TextDomainObject text,
                                              UserDomainObject user)

  Saves text history. TODO: Refactor out SQL call.

### getTexts

    @Transactional(propagation=SUPPORTS)
    public java.util.List<TextDomainObject> getTexts(java.lang.Integer documentId,
                                                                   java.lang.Integer index,
                                                                   I18nLanguage language,
                                                                   java.util.Collection<DocumentVersion> versions)

  Returns all texts for given document id, text index, text language and versions. TODO: Reafactor out HQL call